package com.ruoyi.system.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * table 联合查询sql存储对象 table_sql
 * 
 * @author ruoyi
 * @date 2023-07-19
 */
public class TableSql extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long tId;

    /** 表查询语句
 */
    @Excel(name = "表查询语句")
    private String tableSql;

    /** 表查询条件 */
    @Excel(name = "表查询条件")
    private String tableCondition;

    /** 表别名 */
    @Excel(name = "表别名")
    private String tableAlias;

    /** sql编号，绑定tableList */
    @Excel(name = "sql编号，绑定tableList")
    private String sqlKey;

    /** 导出的字段名以及列名 */
    @Excel(name = "导出的字段名以及列名")
    private String tableExportField;

    /** 逻辑删除 */
    private String delFlag;

    public void settId(Long tId) 
    {
        this.tId = tId;
    }

    public Long gettId() 
    {
        return tId;
    }
    public void setTableSql(String tableSql) 
    {
        this.tableSql = tableSql;
    }

    public String getTableSql() 
    {
        return tableSql;
    }
    public void setTableCondition(String tableCondition) 
    {
        this.tableCondition = tableCondition;
    }

    public String getTableCondition() 
    {
        return tableCondition;
    }
    public void setTableAlias(String tableAlias) 
    {
        this.tableAlias = tableAlias;
    }

    public String getTableAlias() 
    {
        return tableAlias;
    }
    public void setSqlKey(String sqlKey) 
    {
        this.sqlKey = sqlKey;
    }

    public String getSqlKey() 
    {
        return sqlKey;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public String getTableExportField() {
        return tableExportField;
    }

    public void setTableExportField(String tableExportField) {
        this.tableExportField = tableExportField;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("tId", gettId())
            .append("tableSql", getTableSql())
            .append("tableCondition", getTableCondition())
            .append("tableAlias", getTableAlias())
            .append("sqlKey", getSqlKey())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("tableExportField",getTableExportField())
            .toString();
    }
}
